# Akamai\Open\EdgeGrid\Client::setInstanceDebug

#### Print HTTP requests/responses to output

## Signature

`public function setInstanceDebug(bool|resource $enable )`

## Parameters

`$enable` — object

## Returns

$this

## Test Coverage

### Information

- Coverage: 3/3 Lines (100%)
- Tests: 6
- Passed: 6 (100%)

### Tests

- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testInstanceDebugSingle
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testDebugOverrideSingle
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testInstanceDebug
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testDebugOverride
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testInstanceOverrideStream
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\DebugTest::testDebugMessages